/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.Collection;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TARMINSPECCION")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tarminspeccion.findAll", query = "SELECT t FROM Tarminspeccion t"),
    @NamedQuery(name = "Tarminspeccion.findByCinspeccion", query = "SELECT t FROM Tarminspeccion t WHERE t.cinspeccion = :cinspeccion"),
    @NamedQuery(name = "Tarminspeccion.findByCsolicitud", query = "SELECT t FROM Tarminspeccion t WHERE t.csolicitud = :csolicitud"),
    @NamedQuery(name = "Tarminspeccion.findByCtramite", query = "SELECT t FROM Tarminspeccion t WHERE t.ctramite = :ctramite"),
    @NamedQuery(name = "Tarminspeccion.findByTramiteproceso", query = "SELECT t FROM Tarminspeccion t WHERE t.tramiteproceso = :tramiteproceso"),
    @NamedQuery(name = "Tarminspeccion.findByAplicadecomiso", query = "SELECT t FROM Tarminspeccion t WHERE t.aplicadecomiso = :aplicadecomiso"),
    @NamedQuery(name = "Tarminspeccion.findByObservacion", query = "SELECT t FROM Tarminspeccion t WHERE t.observacion = :observacion"),
    @NamedQuery(name = "Tarminspeccion.findByFecharegistro", query = "SELECT t FROM Tarminspeccion t WHERE t.fecharegistro = :fecharegistro"),
    @NamedQuery(name = "Tarminspeccion.findByNumordentrabajo", query = "SELECT t FROM Tarminspeccion t WHERE t.numordentrabajo = :numordentrabajo"),
    @NamedQuery(name = "Tarminspeccion.findByPlanificado", query = "SELECT t FROM Tarminspeccion t WHERE t.planificado = :planificado"),
    @NamedQuery(name = "Tarminspeccion.findByCentrocontrol", query = "SELECT t FROM Tarminspeccion t WHERE t.centrocontrol = :centrocontrol"),
    @NamedQuery(name = "Tarminspeccion.findByAnno", query = "SELECT t FROM Tarminspeccion t WHERE t.anno = :anno")})
public class Tarminspeccion implements Serializable {

    private static final long serialVersionUID = 1L;
    // @Max(value=?)  @Min(value=?)//if you know range of your decimal fields consider using these annotations to enforce field validation
    @Id
    @Basic(optional = false)
    @Column(name = "CINSPECCION")
    private BigDecimal cinspeccion;
    @Column(name = "CSOLICITUD")
    private String csolicitud;
    @Column(name = "CTRAMITE")
    private Long ctramite;
    @Column(name = "TRAMITEPROCESO")
    private Character tramiteproceso;
    @Column(name = "APLICADECOMISO")
    private Character aplicadecomiso;
    @Column(name = "OBSERVACION")
    private String observacion;
    @Column(name = "FECHAREGISTRO")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fecharegistro;
    @Column(name = "NUMORDENTRABAJO")
    private String numordentrabajo;
    @Column(name = "PLANIFICADO")
    private String planificado;
    @Column(name = "CENTROCONTROL")
    private String centrocontrol;
    @Column(name = "ANNO")
    private BigInteger anno;
    @JoinColumn(name = "CPLANIFICACIONTRAMITE", referencedColumnName = "CPLANIFICACIONTRAMITE")
    @ManyToOne
    private Tarmplanificaciontramite cplanificaciontramite;
    @JoinColumn(name = "CSITIOALMACENAMIENTO", referencedColumnName = "CSITIOALMACENAMIENTO")
    @ManyToOne
    private Tarmsitioalmacenamiento csitioalmacenamiento;
    @JoinColumn(name = "PERSONCODE", referencedColumnName = "PERSONCODE")
    @ManyToOne
    private Tcustperson personcode;
    @OneToMany(mappedBy = "cinspeccion")
    private Collection<Tarminspeccionarchivo> tarminspeccionarchivoCollection;

    public Tarminspeccion() {
    }

    public Tarminspeccion(BigDecimal cinspeccion) {
        this.cinspeccion = cinspeccion;
    }

    public BigDecimal getCinspeccion() {
        return cinspeccion;
    }

    public void setCinspeccion(BigDecimal cinspeccion) {
        this.cinspeccion = cinspeccion;
    }

    public String getCsolicitud() {
        return csolicitud;
    }

    public void setCsolicitud(String csolicitud) {
        this.csolicitud = csolicitud;
    }

    public Long getCtramite() {
        return ctramite;
    }

    public void setCtramite(Long ctramite) {
        this.ctramite = ctramite;
    }

    public Character getTramiteproceso() {
        return tramiteproceso;
    }

    public void setTramiteproceso(Character tramiteproceso) {
        this.tramiteproceso = tramiteproceso;
    }

    public Character getAplicadecomiso() {
        return aplicadecomiso;
    }

    public void setAplicadecomiso(Character aplicadecomiso) {
        this.aplicadecomiso = aplicadecomiso;
    }

    public String getObservacion() {
        return observacion;
    }

    public void setObservacion(String observacion) {
        this.observacion = observacion;
    }

    public Date getFecharegistro() {
        return fecharegistro;
    }

    public void setFecharegistro(Date fecharegistro) {
        this.fecharegistro = fecharegistro;
    }

    public String getNumordentrabajo() {
        return numordentrabajo;
    }

    public void setNumordentrabajo(String numordentrabajo) {
        this.numordentrabajo = numordentrabajo;
    }

    public String getPlanificado() {
        return planificado;
    }

    public void setPlanificado(String planificado) {
        this.planificado = planificado;
    }

    public String getCentrocontrol() {
        return centrocontrol;
    }

    public void setCentrocontrol(String centrocontrol) {
        this.centrocontrol = centrocontrol;
    }

    public BigInteger getAnno() {
        return anno;
    }

    public void setAnno(BigInteger anno) {
        this.anno = anno;
    }

    public Tarmplanificaciontramite getCplanificaciontramite() {
        return cplanificaciontramite;
    }

    public void setCplanificaciontramite(Tarmplanificaciontramite cplanificaciontramite) {
        this.cplanificaciontramite = cplanificaciontramite;
    }

    public Tarmsitioalmacenamiento getCsitioalmacenamiento() {
        return csitioalmacenamiento;
    }

    public void setCsitioalmacenamiento(Tarmsitioalmacenamiento csitioalmacenamiento) {
        this.csitioalmacenamiento = csitioalmacenamiento;
    }

    public Tcustperson getPersoncode() {
        return personcode;
    }

    public void setPersoncode(Tcustperson personcode) {
        this.personcode = personcode;
    }

    @XmlTransient
    public Collection<Tarminspeccionarchivo> getTarminspeccionarchivoCollection() {
        return tarminspeccionarchivoCollection;
    }

    public void setTarminspeccionarchivoCollection(Collection<Tarminspeccionarchivo> tarminspeccionarchivoCollection) {
        this.tarminspeccionarchivoCollection = tarminspeccionarchivoCollection;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (cinspeccion != null ? cinspeccion.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tarminspeccion)) {
            return false;
        }
        Tarminspeccion other = (Tarminspeccion) object;
        if ((this.cinspeccion == null && other.cinspeccion != null) || (this.cinspeccion != null && !this.cinspeccion.equals(other.cinspeccion))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tarminspeccion[ cinspeccion=" + cinspeccion + " ]";
    }
    
}
